Retrieve configured currency exchange
get
/spms/v2/ships/{shipId}/configurations/currencyExchanges
This is to retrieve the configured currency exchanges records.
Request
Supported Media Types
- application/json
Path Parameters
-
shipId: number
Ship Id
Query Parameters
-
code(optional): string
Currency Code
-
description(optional): string
Currency Description
-
limit(optional): integer(int32)
Minimum Value:
1Paging limit -
offset(optional): integer(int32)
Minimum Value:
0Paging offset -
orderBy(optional): string
order by code, description with format column1:asc/desc,column2:asc/desc
Response
Supported Media Types
- application/json
200 Response
Ok
Root Schema : Currency Exchange Success Oracle Responses list
Type:
objectTitle:
Currency Exchange Success Oracle Responses listThe wrapper object when returning successful values in Oracle standard
Show Source
-
count(optional):
number
The total number of items in the list.Example:
3 -
hasMore(optional):
boolean
Flag which indicates whether or not there are more items.Example:
true -
items(optional):
array items
-
limit(optional):
number
Paging limitExample:
5 -
offset(optional):
number
Paging offsetExample:
10
Nested Schema : items
Type:
Show Source
array-
Array of:
object configurationCurrencyExchange
configurationCurrencyExchange
Example:
[
{
"id":12345,
"code":"AUD",
"description":"AUSTRALIAN DOLLAR",
"validDateFrom":"01-08-23",
"disableDateFrom":"31-12-30",
"mininumBuyDenomination":1,
"mininumSellDenomination":1,
"baseCurrency":{
"code":"USD",
"description":"US DOLLAR"
},
"rateCalculation":"1 base=x foreign",
"availableNotes":"Currency exchange details for Australian dollar",
"rateRegularBuy":{
"exchangeRate":2,
"commissionPercentage":2,
"mininumCommissionPercentage":2
},
"rateRegularSell":{
"exchangeRate":3,
"commissionPercentage":3,
"mininumCommissionPercentage":3
},
"rateCrewBuy":{
"exchangeRate":4,
"commissionPercentage":4,
"mininumCommissionPercentage":4
},
"rateCrewSell":{
"exchangeRate":5,
"commissionPercentage":5,
"mininumCommissionPercentage":5
},
"safeExchangeRate":0.5
},
{
"id":99999,
"code":"USD",
"description":"US DOLLAR",
"validDateFrom":"01-08-23",
"disableDateFrom":"31-12-30",
"mininumBuyDenomination":1,
"mininumSellDenomination":1,
"baseCurrency":{
"code":"AUD",
"description":"AUSTRALIAN DOLLAR"
},
"rateCalculation":"1 base=x foreign",
"availableNotes":"Currency exchange details for US dollar",
"rateRegularBuy":{
"exchangeRate":2,
"commissionPercentage":2,
"mininumCommissionPercentage":2
},
"rateRegularSell":{
"exchangeRate":3,
"commissionPercentage":3,
"mininumCommissionPercentage":3
},
"rateCrewBuy":{
"exchangeRate":4,
"commissionPercentage":4,
"mininumCommissionPercentage":4
},
"rateCrewSell":{
"exchangeRate":5,
"commissionPercentage":5,
"mininumCommissionPercentage":5
},
"safeExchangeRate":0.6
}
]Nested Schema : configurationCurrencyExchange
Type:
objectconfigurationCurrencyExchange
Show Source
-
availableNotes(optional):
string
Minimum Length:
0Maximum Length:250Pattern:^[a-zA-ZÀ-ÖØ-öø-ÿ0-9 _,?/.\-+*n~!@#$%&{}[]()=<>|^'":;@`]*$Available Notes * 'null' if emptyExample:Currency exchange details for Australian dollar. -
baseCurrency(optional):
object baseCurrency
Base Currency
-
code(optional):
string
Minimum Length:
1Maximum Length:6Pattern:^[a-zA-ZÀ-ÖØ-öø-ÿ0-9 _,?/.\-+*n~!@#$%&{}[]()=<>|^'":;@`]*$Currency Exchange CodeExample:AUD -
description(optional):
string
Minimum Length:
1Maximum Length:50Pattern:^[a-zA-ZÀ-ÖØ-öø-ÿ0-9 _,?/.\-+*n~!@#$%&{}[]()=<>|^'":;@`]*$Currency Exchange DescriptionExample:AUSTRALIAN DOLLAR -
disableDateFrom(optional):
string(date)
Disable Date FromExample:
31-12-30 -
id(optional):
string
Minimum Length:
1Maximum Length:10Pattern:^[a-zA-ZÀ-ÖØ-öø-ÿ0-9 _,?/.\-+*n~!@#$%&{}[]()=<>|^'":;@`]*$Currency Exchange IdExample:12345 -
mininumBuyDenomination(optional):
number
Minimum Value:
0Mininum Buy DenominationExample:10 -
mininumSellDenomination(optional):
number
Minimum Value:
0Mininum Sell DenominationExample:10 -
rateCalculation(optional):
string
Pattern:
^[a-zA-ZÀ-ÖØ-öø-ÿ0-9 _,?/.\-+*n~!@#$%&{}[]()=<>|^'":;@`]*$Rate CalculationExample:1 base=x foreign -
rateCrewBuy(optional):
object rateCrewBuy
Rate Crew Buy
-
rateCrewSell(optional):
object rateCrewSell
Rate Crew Sell
-
rateRegularBuy(optional):
object rateRegularBuy
Rate Regular Buy
-
rateRegularSell(optional):
object rateRegularSell
Rate Regular Sell
-
safeExchangeRate(optional):
number
Minimum Value:
0Safe Exchange RateExample:0.5 -
validDateFrom(optional):
string(date)
Valid Date FromExample:
01-01-23
Nested Schema : baseCurrency
Type:
objectBase Currency
Show Source
-
code(optional):
string
Minimum Length:
1Maximum Length:6Pattern:^[a-zA-ZÀ-ÖØ-öø-ÿ0-9 _,?/.\-+*n~!@#$%&{}[]()=<>|^'":;@`]*$Base Currency CodeExample:USD -
description(optional):
string
Minimum Length:
1Maximum Length:50Pattern:^[a-zA-ZÀ-ÖØ-öø-ÿ0-9 _,?/.\-+*n~!@#$%&{}[]()=<>|^'":;@`]*$Base Currency DescriptionExample:US DOLLAR
Nested Schema : rateCrewBuy
Type:
objectRate Crew Buy
Show Source
-
commissionPercentage(optional):
number
Minimum Value:
0Commission PercentageExample:0.1 -
exchangeRate(optional):
number
Minimum Value:
0Exchange RateExample:0.5 -
mininumCommissionPercentage(optional):
number
Minimum Value:
0Mininum Commission PercentageExample:0.1
Nested Schema : rateCrewSell
Type:
objectRate Crew Sell
Show Source
-
commissionPercentage(optional):
number
Minimum Value:
0Commission PercentageExample:0.1 -
exchangeRate(optional):
number
Minimum Value:
0Exchange RateExample:0.5 -
mininumCommissionPercentage(optional):
number
Minimum Value:
0Mininum Commission PercentageExample:0.1
Nested Schema : rateRegularBuy
Type:
objectRate Regular Buy
Show Source
-
commissionPercentage(optional):
number
Minimum Value:
0Commission PercentageExample:0.1 -
exchangeRate(optional):
number
Minimum Value:
0Exchange RateExample:0.5 -
mininumCommissionPercentage(optional):
number
Minimum Value:
0Mininum Commission PercentageExample:0.1
Nested Schema : rateRegularSell
Type:
objectRate Regular Sell
Show Source
-
commissionPercentage(optional):
number
Minimum Value:
0Commission PercentageExample:0.1 -
exchangeRate(optional):
number
Minimum Value:
0Exchange RateExample:0.5 -
mininumCommissionPercentage(optional):
number
Minimum Value:
0Mininum Commission PercentageExample:0.1
204 Response
No Content
400 Response
Bad Request
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"HTTP://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.1",
"title":"Bad Request",
"detail":"The parameter 'shipId' has incorrect format"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
401 Response
Unauthorized
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.2",
"title":"Unauthorized",
"detail":"Valid token is required to access this resource"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
403 Response
Forbidden
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.4",
"title":"Forbidden",
"detail":"You are forbidden to use this API"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
404 Response
Not found
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.5",
"title":"Not Found",
"detail":"Ship Id could not be found"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
405 Response
Method Not Allowed
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.6",
"title":"Method Not Supported",
"detail":"HTTP method not supported for this resource"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
406 Response
Not acceptable
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.7",
"title":"Not Acceptable",
"detail":"Request a Mime type that is supported for this Resource"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
410 Response
Gone
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.11",
"title":"Gone",
"detail":"Requested Resource no longer exists"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
415 Response
Unsupported Media Type
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.16",
"title":"Invalid content",
"detail":"Content type not supported"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
500 Response
Internal Server Error
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.5.1",
"title":"Internal Server Error",
"detail":"Issue fulfilling request. Please retry or contact support"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
501 Response
Not Implemented
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.5.2",
"title":"Not implemented",
"detail":"Resource is not implemented in this version of the API"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
503 Response
Service Unavailable
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.5.4",
"title":"Service Unavailable",
"detail":"Service not available"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source